import { jsx } from "react/jsx-runtime";
import { TrademarkIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Trademark = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Trademark", ...props, children: /* @__PURE__ */ jsx(TrademarkIcon, { weight: variant }) });
  }
);
Trademark.displayName = "Trademark";
Object.assign(Trademark, { isGdsIcon: true });
export {
  Trademark
};
